package com.ym.mec.biz.dal.entity;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;

/**
 * 机构入驻表(预加入)(TenantPreJoin)表实体类
 *
 * @author hgw
 * @since 2022-02-10 13:53:58
 */
@ApiModel(value = "tenant_pre_join-机构入驻表(预加入)")
public class TenantPreJoin implements Serializable {
    @TableId(value = "id_", type = IdType.AUTO)
    @ApiModelProperty(value = "主键")
    private Integer id;

    @TableField("recommender_")
    @ApiModelProperty(value = "推荐人")
    private Integer recommender;

    @TableField("tsign_name_")
    @ApiModelProperty(value = "公司全称")
    private String tsignName;

    @TableField("name_")
    @ApiModelProperty(value = "机构名称/公司简称")
    private String name;

    @TableField("area_id_")
    @ApiModelProperty(value = "城市id")
    private Integer areaId;

    @TableField("area_name_")
    @ApiModelProperty(value = "城市名称")
    private String areaName;

    @TableField("email_")
    @ApiModelProperty(value = "机构邮箱")
    private String email;

    @TableField("customer_service_phone_")
    @ApiModelProperty(value = "客服电话")
    private String customerServicePhone;

    @TableField("tsign_code_")
    @ApiModelProperty(value = "营业执照编码")
    private String tsignCode;

    @TableField("address_")
    @ApiModelProperty(value = "地址")
    private String address;

    @TableField("remark_")
    @ApiModelProperty(value = "机构描述-200字")
    private String remark;

    @TableField("enterprise_liable_name_")
    @ApiModelProperty(value = "企业负责人")
    private String enterpriseLiableName;

    @TableField("enterprise_liable_phone_")
    @ApiModelProperty(value = "企业负责人电话")
    private String enterpriseLiablePhone;

    @TableField("legal_person_id_front_pic_")
    @ApiModelProperty(value = "法人身份证正面照片地址")
    private String legalPersonIdFrontPic;

    @TableField("legal_person_id_reverse_pic_")
    @ApiModelProperty(value = "法人身份证反面照片地址")
    private String legalPersonIdReversePic;

    @TableField("contacts_")
    @ApiModelProperty(value = "项目负责人/机构联系人")
    private String contacts;

    @TableField("phone_")
    @ApiModelProperty(value = "项目负责人电话/机构联系人电话")
    private String phone;

    @TableField("tsign_pic_")
    @ApiModelProperty(value = "公司营业执照图片")
    private String tsignPic;

    @TableField("tax_register_pic_")
    @ApiModelProperty(value = "税务登记证照片地址")
    private String taxRegisterPic;

    @TableField("company_account_info_pic_")
    @ApiModelProperty(value = "公司开户信息照片地址")
    private String companyAccountInfoPic;

    @TableField("logo_")
    @ApiModelProperty(value = "机构logo")
    private String logo;

    @TableField("corporate_chops_")
    @ApiModelProperty(value = "企业公章图片地址")
    private String corporateChops;

    @TableField("corporate_finance_chops_")
    @ApiModelProperty(value = "企业财务公章图片地址")
    private String corporateFinanceChops;

    @TableField("state_")
    @ApiModelProperty(value = "是否已创建为机构 0未创建 1已创建")
    private Integer state;

    @TableField("created_time_")
    @ApiModelProperty(value = "创建时间")
    private Date createdTime;

    @TableField("province_id_")
    @ApiModelProperty(value = "省份id")
    private Integer provinceId;

    @TableField("province_name_")
    @ApiModelProperty(value = "省份名称")
    private String provinceName;

    @TableField("current_has_school_num_")
    @ApiModelProperty(value = "现有学校数量")
    private Integer currentHasSchoolNum;

    @TableField("student_num_")
    @ApiModelProperty(value = "学员数量")
    private Integer studentNum;

    public Integer getCurrentHasSchoolNum() {
        return currentHasSchoolNum;
    }

    public void setCurrentHasSchoolNum(Integer currentHasSchoolNum) {
        this.currentHasSchoolNum = currentHasSchoolNum;
    }

    public Integer getStudentNum() {
        return studentNum;
    }

    public void setStudentNum(Integer studentNum) {
        this.studentNum = studentNum;
    }

    public Integer getRecommender() {
        return recommender;
    }

    public void setRecommender(Integer recommender) {
        this.recommender = recommender;
    }

    private static final long serialVersionUID = 1L;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getTsignName() {
        return tsignName;
    }

    public void setTsignName(String tsignName) {
        this.tsignName = tsignName;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getAreaId() {
        return areaId;
    }

    public void setAreaId(Integer areaId) {
        this.areaId = areaId;
    }

    public String getAreaName() {
        return areaName;
    }

    public void setAreaName(String areaName) {
        this.areaName = areaName;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public String getCustomerServicePhone() {
        return customerServicePhone;
    }

    public void setCustomerServicePhone(String customerServicePhone) {
        this.customerServicePhone = customerServicePhone;
    }

    public String getTsignCode() {
        return tsignCode;
    }

    public void setTsignCode(String tsignCode) {
        this.tsignCode = tsignCode;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getEnterpriseLiableName() {
        return enterpriseLiableName;
    }

    public void setEnterpriseLiableName(String enterpriseLiableName) {
        this.enterpriseLiableName = enterpriseLiableName;
    }

    public String getEnterpriseLiablePhone() {
        return enterpriseLiablePhone;
    }

    public void setEnterpriseLiablePhone(String enterpriseLiablePhone) {
        this.enterpriseLiablePhone = enterpriseLiablePhone;
    }

    public String getLegalPersonIdFrontPic() {
        return legalPersonIdFrontPic;
    }

    public void setLegalPersonIdFrontPic(String legalPersonIdFrontPic) {
        this.legalPersonIdFrontPic = legalPersonIdFrontPic;
    }

    public String getLegalPersonIdReversePic() {
        return legalPersonIdReversePic;
    }

    public void setLegalPersonIdReversePic(String legalPersonIdReversePic) {
        this.legalPersonIdReversePic = legalPersonIdReversePic;
    }

    public String getContacts() {
        return contacts;
    }

    public void setContacts(String contacts) {
        this.contacts = contacts;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getTsignPic() {
        return tsignPic;
    }

    public void setTsignPic(String tsignPic) {
        this.tsignPic = tsignPic;
    }

    public String getTaxRegisterPic() {
        return taxRegisterPic;
    }

    public void setTaxRegisterPic(String taxRegisterPic) {
        this.taxRegisterPic = taxRegisterPic;
    }

    public String getCompanyAccountInfoPic() {
        return companyAccountInfoPic;
    }

    public void setCompanyAccountInfoPic(String companyAccountInfoPic) {
        this.companyAccountInfoPic = companyAccountInfoPic;
    }

    public String getLogo() {
        return logo;
    }

    public void setLogo(String logo) {
        this.logo = logo;
    }

    public String getCorporateChops() {
        return corporateChops;
    }

    public void setCorporateChops(String corporateChops) {
        this.corporateChops = corporateChops;
    }

    public String getCorporateFinanceChops() {
        return corporateFinanceChops;
    }

    public void setCorporateFinanceChops(String corporateFinanceChops) {
        this.corporateFinanceChops = corporateFinanceChops;
    }

    public Integer getState() {
        return state;
    }

    public void setState(Integer state) {
        this.state = state;
    }

    public Date getCreatedTime() {
        return createdTime;
    }

    public void setCreatedTime(Date createdTime) {
        this.createdTime = createdTime;
    }

    public Integer getProvinceId() {
        return provinceId;
    }

    public void setProvinceId(Integer provinceId) {
        this.provinceId = provinceId;
    }

    public String getProvinceName() {
        return provinceName;
    }

    public void setProvinceName(String provinceName) {
        this.provinceName = provinceName;
    }

}

